Subject: Re: [bug#56057] [gnu: Add dua-cli. 25/27] gnu: Add rust-windows-sys-0.36 & per-target varitations.

From: antlers <[email-masked]>
Date: Tue, 21 Jun 2022 09:56:03 -0700

> Nevermind [...] rust-windows-...
Alright, I dropped that patch back in and (after a hash update for
`rust-sysctl-0.4`) everything does seem to build. I'll still be taking another
look at package descriptions, will sort v3 such that each patch /actually/
builds (ie. sequentially), and maybe cherry-pick `guix style`'s opinions.
Otherwise just keeping an eye on #56037 (I like what they did with the
`-beta` packages) and antioxidant (good luck!).

> > varitations
One learns through many small lessons! I'll be more careful.
Thanks again for your time and attention.
```
$> echo << EOF >> ~/.emacs.d/init.el
(eval-after-load "git-commit-mode"
 '(add-hook 'git-commit-mode-hook #'flyspell-mode))
EOF
```

On Mon, Jun 20, 2022 at 4:17 AM Maxime Devos <[email-masked]> wrote:
>
> antlers schreef op za 18-06-2022 om 12:56 [-0700]:
> > * gnu/packages/crates-io.scm
> >
> > (rust-windows-x86-64-gnu-0.36
> >  rust-windows-x86-64-mscv-0.36
> >  rust-windows-i686-gnu-0.36
> >  rust-windows-i686-mscv-0.36
> >  rust-windows-aarch64-mscv-0.36
> >  rust-windows-sys-0.36): New variables.
> >
> > (rust-windows-x86-64-gnu-0.28
> >  rust-windows-x86-64-mscv-0.28
> >  rust-windows-i686-gnu-0.28
> >  rust-windows-i686-mscv-0.28
> >  rust-windows-aarch64-mscv-0.28
> >  rust-windows-0.28): Inherit from rust-windows-*-0.36.
>
> Nevermind my comments about rust-windows-..., looks like those are
> already automatically removed in antioxidant.